Name:           perl-Authen-Krb5
Version:        1.9
Release:        5%{?dist}
Summary:        Krb5 Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Krb5/
Source:         Krb5-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  gcc
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  krb5-devel
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils::MakeMaker)
%if 0%{?rhel} >= 8
BuildRequires: perl-generators
%endif
BuildRequires:  sed
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# Do not link functions removed from krb5, bug #1323662, CPAN RT#116071
Patch0:        Krb5-1.9-nopriv.patch

Patch1000:     Krb5-1.9-S4U.patch
Patch1001:     Krb5-1.9-cc_copy_creds.patch

%description
Authen::Krb5 is an object oriented interface to the Kerberos 5 API. Both
the implementation and documentation are nowhere near complete, and may
require previous experience with Kerberos 5 programming. Most of the
functions here are documented in detail in the Kerberos 5 API
documentation.

%prep
%setup -q -n Krb5-%{version}

%patch0 -p1
%patch1000 -p1
%patch1001 -p1

# Fix the references to /usr/local/bin/perl
sed -i 's|/usr/local/bin/perl|/usr/bin/perl|' \
  sample_client sample_server simple_client simple_server sample_S4U

%build

# Rewrite the Makefile with our local paths
mv Makefile.PL Makefile.PL.old
cat Makefile.PL.old | \
  sed -e's|/usr/lib|%{_libdir}|' \
      -e's|/usr/include|%{_includedir}|' \
  > Makefile.PL

%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT
chmod 644 sample_client sample_server simple_client simple_server sample_S4U

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes COPYRIGHT README sample_client sample_server simple_client simple_server sample_S4U TODO
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Authen
%{_mandir}/man3/*

%changelog
* Fri Mar 27 2020 Ben Morrice <ben.morrice@cern.ch> - 1.9-5
- add krb5_cc_copy_creds function (https://github.com/sophos/p5-Krb5/pull/2)

* Mon Nov 25 2019 Ben Morrice <ben.morrice@cern.ch> - 1.9-3
- add fix for BZ#1323662 which prevents operation on el8

* Fri Jul 11 2014 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.9-2
- el7 rebuild

* Sun Oct 13 2013 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 1.9-1.cern.1
- added Services4User patch (S4U2Self/S4U2Proxy)
* Tue Feb 8 2011 Simon Wilkinson <simon@sxw.org.uk> - 1.9-1
- 673472 Update to 1.9

* Wed Dec 15 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.7-10
- 661697 rebuild for fixing problems with vendorach/lib

* Thu Apr 29 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.7-9
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.7-8
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.7-5
Rebuild for new perl

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.7-4
- Autorebuild for GCC 4.3

* Tue Jan 29 2008 Simon Wilkinson <simon@sxw.org.uk> 1.7-3
- Fix library path, so that libk5crypto is used, and not libcrypto

* Mon Jan 28 2008 Simon Wilkinson <simon@sxw.org.uk> 1.7-2
- Use sed, rather than a patch to fix references to perl binary
  review comment)

* Mon Jan 28 2008 Simon Wilkinson <simon@sxw.org.uk> 1.7-1
- Specfile autogenerated by cpanspec 1.74.
